"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Log = void 0;
var colors = require('colors');
colors.setTheme({
    silly: 'rainbow',
    input: 'grey',
    verbose: 'cyan',
    prompt: 'grey',
    info: 'cyan',
    data: 'grey',
    help: 'cyan',
    warn: 'yellow',
    debug: 'blue',
    error: 'red',
    h1: 'grey',
    h2: 'yellow'
});
var Log = (function () {
    function Log() {
    }
    Log.title = function (message) {
        console.log(colors.bold(colors.dim(colors.magenta(message))));
    };
    Log.subtitle = function (message) {
        console.log(colors.h2.bold(message));
    };
    Log.default = function (message) {
        console.log(message);
    };
    Log.info = function (message) {
        console.log(colors.info(message));
    };
    Log.success = function (message) {
        console.log(colors.green('\u2714 '), message);
    };
    Log.error = function (message) {
        console.log(colors.red('\u2717'), message);
    };
    Log.warning = function (message) {
        console.log(colors.warn('\u26A0 ' + message));
    };
    Log.clear = function () {
        console.clear();
    };
    Log.removeUp = function (dir) {
        process.stdout.moveCursor(0, -Math.abs(dir));
        process.stdout.cursorTo(0);
        process.stdout.clearScreenDown();
    };
    Log.removeDown = function (dir) {
        process.stdout.moveCursor(0, Math.abs(dir));
        process.stdout.cursorTo(0);
        process.stdout.clearScreenDown();
    };
    Log.loading = function (message) {
        var dots = '';
        process.stdout.write(colors.info(message + " "));
        return setInterval(function () {
            dots += '.';
            process.stdout.write(colors.info("\r" + message + dots));
        }, 1000);
    };
    return Log;
}());
exports.Log = Log;
//# sourceMappingURL=log.js.map